import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('branch')
export class BranchEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  restaurant_id: string;

  @Column({
    type: 'bigint',
  })
  brand_id: string;

  @Column({
    type: 'varchar',
  })
  name: string;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  address: string;

  @Column({
    type: 'smallint',
  })
  status: number;

  @Column({
    type: 'real',
    default: 5,
  })
  average_rating: number;

  @Column({
    type: 'real',
    default: 5,
  })
  food_rating: number;

  @Column({
    type: 'real',
    default: 5,
  })
  price_rating: number;

  @Column({
    type: 'real',
    default: 5,
  })
  spatial_rating: number;

  @Column({
    type: 'real',
    default: 5,
  })
  hygiene_rating: number;

  @Column({
    type: 'real',
    default: 5,
  })
  service_rating: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_review: number;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  logo: string;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  banner: string;

  @Column({
    type: 'real',
    nullable: true,
  })
  lat: number;

  @Column({
    type: 'real',
    nullable: true,
  })
  lng: number;
}
