import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('category_sticker')
export class CategoryStickerEntity extends CommonEntity {
  @Column({
    type: 'bigint',
    nullable: true,
  })
  owner_id: string;

  @Column({
    type: 'varchar',
  })
  name: string;

  @Column({
    type: 'text',
  })
  media: string;

  @Column({
    type: 'int',
    default: 0,
  })
  price: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_download: number;

  @Column({
    type: 'smallint',
  })
  no_of_sticker: number;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  delete_reason: string; // Lý do xoá

  @Column({
    type: 'varchar',
    nullable: true,
  })
  reject_reason: string; // Lý do từ chối duyệt

  @Column({
    type: 'smallint',
  })
  is_admin: number;

  @Column({
    type: 'smallint',
  })
  is_bypass_download: number;

  @Column({
    type: 'smallint',
    default: 0, // 0 - chờ duyệt, 1 - đã duyệt, 2 - từ chối, 3 - đã xoá
  })
  status: number;
}
