import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('comment')
export class CommentEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  post_id: string;

  @Column({
    type: 'json',
    nullable: true,
  })
  sticker: any;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  sticker_id: string;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  parent_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'int',
    default: 0,
  })
  is_admin: number;

  @Column({
    type: 'text',
    nullable: true,
  })
  message: string;

  @Column({
    type: 'jsonb',
    array: false,
    default: () => "'[]'",
    nullable: false,
  })
  media: any;

  @Column({
    type: 'jsonb',
    array: false,
    default: () => "'[]'",
    nullable: false,
  })
  tag: any;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_like: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_love: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_haha: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_angry: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_sad: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_wow: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_nothing: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_reply: number;

  @Column({
    type: 'text',
    default: '',
    nullable: true,
  })
  thumbnail: string;

  @Column({
    type: 'int',
    default: 0,
  })
  is_owner: number;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  restaurant_id: string;

  @Column({
    type: 'int',
    default: 0,
  })
  status: number;
}
