import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';
import { MessageEntity } from './message.entity';

@Entity('conversation')
export class ConversationEntity extends CommonEntity {
  @Column({
    type: 'varchar',
    nullable: true,
  })
  name: string;

  @Column({
    type: 'text',
    nullable: true,
  })
  avatar: string;

  @Column({
    type: 'smallint',
  })
  type: number;

  @Column({
    type: 'bigint',
    array: true,
  })
  members: string[];

  @Column({
    type: 'text',
    nullable: true,
  })
  background: string;

  @Column({
    type: 'smallint',
  })
  no_of_member: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  no_of_pinned: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_image: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_video: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_file: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_link: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_audio: number;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  link_join: string;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_user_remove: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_update_profile: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_create_reminder: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_create_vote: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_confirm_new_member: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_highlight_message_admin: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_view_old_message_with_new_member: number;

  @Column({
    type: 'smallint',
    default: 1,
  })
  is_join_with_link: number;

  @Column({
    type: 'smallint',
    default: 1,
  })
  is_send_message: number;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  last_message_id: string;

  @Column({
    type: 'json',
    nullable: true,
  })
  last_message: MessageEntity;

  @Column({
    type: 'double precision',
    default: '1',
  })
  last_activity: number;

  @Column({
    type: 'smallint',
    default: 1,
  })
  status: number;
}
