import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('message_vote')
export class MessageVoteEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  conversation_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'smallint',
  })
  no_of_option: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  no_of_user_vote: number;

  @Column({
    type: 'varchar',
  })
  content: string;

  @Column({
    type: 'smallint',
    default: 1,
  })
  is_add_option: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_choose_many_option: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_hidden_user: number;

  @Column({
    type: 'timestamp',
    nullable: true,
  })
  end_time: Date;

  @Column({
    type: 'smallint',
    default: 0,
  })
  status: number;
}
