import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('message')
export class MessageEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  conversation_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'bigint',
    array: true,
    default: [],
  })
  user_target: string[];

  @Column({
    type: 'smallint',
    default: 1,
  })
  type: number;

  @Column({
    type: 'text',
    default: '',
  })
  message: string;

  @Column({
    type: 'text',
    default: '{}',
  })
  media: string;

  @Column({
    type: 'jsonb',
    array: false,
    default: () => "'[]'",
    nullable: false,
  })
  tag: any;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_reaction: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_pinned: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_share: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_timeline: number;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  message_reply_id: string;

  @Column({
    type: 'smallint',
    default: 0,
  })
  status: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_like: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_love: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_wow: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_sad: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_haha: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_angry: number;

  @Column({
    type: 'text',
    default: '{}',
  })
  thumb: string;

  @Column({
    type: 'text',
    nullable: true,
  })
  sticker: string;

  @Column({
    type: 'jsonb',
    array: false,
    default: () => "'[]'",
    nullable: false,
  })
  link: any[];

  @Column({
    type: 'text',
    nullable: true,
  })
  link_join_group: string;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  message_vote_id: string;

  @Column({
    type: 'text',
    default: '',
    nullable: true,
  })
  key_search: string;
}
