import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('user')
export class UserEntity extends CommonEntity {
  @Column({
    type: 'varchar',
  })
  avatar: string;

  @Column({
    type: 'varchar',
  })
  full_name: string;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  nick_name: string;

  @Column({
    type: 'smallint',
    default: 0,
  })
  identification: number;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  address: string;

  @Column({
    type: 'real',
    nullable: true,
  })
  lat: number;

  @Column({
    type: 'real',
    nullable: true,
  })
  lng: number;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  city_id: string;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  district_id: string;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  ward_id: string;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  country_id: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_alo_point: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_follow: number;

  @Column({
    type: 'int',
    default: 0,
  })
  view: number;

  @Column({
    type: 'text',
    nullable: true,
  })
  cover: string;

  @Column({
    type: 'varchar',
  })
  phone: string;

  @Column({
    type: 'smallint',
    default: 0,
  })
  gender: number;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  birthday: string;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  first_name: string;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  last_name: string;

  @Column({
    type: 'smallint',
    default: 0,
  })
  no_of_friend: number;

  @Column({
    type: 'text',
    nullable: true,
  })
  description: string;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  website: string;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  email: string;

  @Column({
    type: 'int',
    array: true,
    default: [],
  })
  user_interests: number[];

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_notify: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_dark_mode: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  view_about: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  view_life_event: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  view_friend: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  view_media: number;

  @Column({
    type: 'smallint',
    default: 1,
  })
  is_request_friend: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_display_name: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_enable_gender: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_enable_birthday: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_enable_phone: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_enable_email: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_enable_address: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_enable_city: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_enable_district: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_enable_ward: number;

  @Column({
    type: 'timestamp',
    nullable: true,
  })
  time_seen_notify: Date;

  @Column({
    type: 'timestamp',
    nullable: true,
  })
  last_connect: Date;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  restaurant_id: string;

  @Column({
    type: 'smallint',
    default: 1,
  })
  status: number;
}
